package com.biganto.visual.roompark.domain.contract

import com.biganto.visual.roompark.domain.model.AlbumPreviewModel
import com.biganto.visual.roompark.domain.model.PhotoModel
import com.biganto.visual.roompark.domain.model.WebCamListModel
import com.biganto.visual.roompark.domain.model.WebCamModel
import io.reactivex.rxjava3.core.Observable
import io.reactivex.rxjava3.core.Single

/**
 * Created by Vladislav Bogdashkin on 24.09.2019.
 */

interface DevProgressContract{

    fun getProgressCards(): io.reactivex.Observable<List<AlbumPreviewModel>>
    fun getProgressAlbumList(albumId:Int): io.reactivex.Observable<List<AlbumPreviewModel>>
    fun getAlbumPhoto(photoId:Int): io.reactivex.Observable<PhotoModel>
    fun getWebCamsList(): io.reactivex.Observable<WebCamListModel>
    fun getWebCamStream(camId:Int): io.reactivex.Observable<WebCamModel>
}