package com.biganto.visual.roompark.presentation.screen.feeds

import com.biganto.visual.roompark.conductor.BigantoBaseContract
import com.biganto.visual.roompark.domain.model.FeedModel
import io.reactivex.Observable

/**
 * Created by Vladislav Bogdashkin on 30.09.2019.
 */

interface FeedsScreen : BigantoBaseContract<FeedsScreenViewState> {
    fun feedsTabSelected(): Observable<Int>
    fun requsetsNewArticles(): Observable<Pair<FeedModel, Int>>
    fun onAllFeedArticles(): Observable<FeedModel>
}


data class EstateTabModel(val title:String, val building:Int)